"""==================================================================
منطق برنامه ای را طراحی نمایید که عدد طبیعی N را در ورودی دریافت کند
و N جمله از سری زیر را که در آن فاصله دو جمله اش یک واحد بیشتر از
فاصله دو جمله قبلی آن است تولید و چاپ کند و مجموع آنها را نیز محاسبه
و چاپ کند

S = 1 + 2 + 4 + 7 + ... + N
=================================================================="""

n = int(input("Please enter your num: "))

s = 0
k = 0
count = 1
while count < n:
    count += k
    s += count
    k += 1

print("="*20,"\nSum: ",s)